# Hãng vận chuyển

* /api/shipping/carrier: Dùng để lấy danh sách các hãng vận chuyển đang được tích hợp với Nhanh.vn. Nhanh.vn đang kết nối với Giaohangnhanh, J\&T Express, Viettel Post, Vietnam Post, EMS, Ninjavan, Best Express... để hỗ trợ dịch vụ vận chuyển và giao hàng thu tiền tận nhà.
* Chú ý: Dữ liệu này rất ít khi bị thay đổi, bạn có thể cache dữ liệu trên hệ thống của bạn để giảm tải việc phải gọi API liên tục, thời gian cache khuyến cáo là 24h.

## Response

* JSON decode the response to get the structure:

```javascript
[
    // carrier 1
    "id" => 2, // int: id hãng vận chuyển trên Nhanh.vn
    "name" => "Vietnam Post", // string: tên hãng vận chuyển trên Nhanh.vn,
    "logo" => "absolute path of carrier’s logo",
    "services" => [ // các dịch vụ vận chuyển
        [
            "id" => 2, // int: id dịch vụ
            "name" => "Giao nhanh liên tỉnh" // Tên dịch vụ vận chuyển
        ],
        [
            "id" => 3, // int: id dịch vụ
            "name" => "Bưu kiện" // Tên dịch vụ vận chuyển
        ],
        ...
    ]
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.nhanh.vn/v2/shipping/carrier.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
